## com.google.appengine.api.search
Class ListDocumentsResponse

    java.lang.Object
      com.google.appengine.api.search.ListDocumentsResponse

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<Document>

    public final class ListDocumentsResponse

extends java.lang.Object
implements java.lang.Iterable<Document>, java.io.Serializable

Represents a result of executing a `ListDocumentsRequest`. The response contains a list of `Document`.

See Also:
  Serialized Form

Method Summary
`java.util.List<Document>` `getDocuments()`
`java.util.Iterator<Document>` `iterator()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### iterator

    public java.util.Iterator<Document> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Document>`

### getDocuments

    public java.util.List<Document> getDocuments()

  Returns:
    an unmodifiable list of `Document` from the index

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`